Authentication
Get Access Token
Exchange authorization code or client credentials for tokens
POST
This endpoint supports multiple OAuth 2.0 flows:
- Authorization Code Grant - Exchange an authorization code for tokens
- Client Credentials Grant - Machine-to-machine API access
- Refresh Token Grant - Get new tokens using a refresh token
Body Parameters
string
required
One of: “authorization_code”, “client_credentials”, or “refresh_token”
string
required
Your application’s client ID
string
required
Your application’s client secret
Authorization Code Grant
string
required
The authorization code received from the authorize endpoint
string
required
Must match the original redirect URI used in the authorize request
Client Credentials Grant
string
Space-separated list of requested scopes (defaults to client’s allowed scopes)
Refresh Token Grant
string
required
The refresh token previously obtained